Page MenuHomePhabricator

Rename "project" and "Milestone" in Phlogiston to something else
Closed, ResolvedPublic1 Story Points

Description

Phlogiston's "Project" is not the same thing as Phabricator's "Project", so they shouldn't have the same name. Same for Milestone, now that Phabricator uses Milestone.

Event Timeline

Restricted Application added subscribers: scfc, Aklapper. · View Herald TranscriptMar 11 2016, 7:11 PM
JAufrecht triaged this task as Normal priority.Mar 11 2016, 7:13 PM
JAufrecht set the point value for this task to 1.
Aklapper updated the task description. (Show Details)Mar 11 2016, 7:14 PM
Dereckson added a subscriber: Dereckson.EditedMar 16 2016, 11:35 PM

On another hand, coming trend in Phabricator is to rename "project" as "tag", so you could perhaps keep project for Phlogiston?

"Milestone" is a reserved keyword in Phabricator too: it's a special subproject to do a sprint.

Reference

For clarity on the upstream plans: we're changing the language in the UI so that we consistently call the assocation between a project and another object a "tag", but are not renaming projects.

We were previously inconsistent about this, and sometimes said "this task is tagged with project xyz" and sometimes "this task is in project xyz", and sometimes something else, like "this task is associated with project xyz". This inconsistency was sometimes confusing, and possibly a contributing factor in some particular confusions faced by new users.

Going forward a task, revision, commit, repository, etc., will be described as tagged with a project, but the name "project" isn't changing when describing the project object itself.

Thanks for this precision.

JAufrecht updated the task description. (Show Details)Mar 30 2016, 6:21 PM

Consensus from mailing list discussion:

Project -> Scope
Milestone -> Category

Luke081515 moved this task from To Triage to Misc on the Phabricator board.Apr 5 2016, 4:31 PM
JAufrecht closed this task as Resolved.Apr 11 2016, 10:21 PM
JAufrecht updated the task description. (Show Details)
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 10:46 PM

I have no idea what "category" means in this context. The description of the Category tag says to check https://www.mediawiki.org/wiki/Team_Practices_Group/Glossary , which does not define "category".

Also the name is quite confusing - I had to remove it from tasks which were related to categories in MediaWiki.